Update to Limesurvey Version 4 fails

Mehr
2 Monate 5 Tage her - 2 Monate 5 Tage her #193268 von limesurvey_asker
Hello,

I wanted to update my limesurvey CE version 3.2 (which worked finde) to the newest 4.1.0 version:

my Sever has: PHP 5.5.14
SLES 12 SP3
Apache Webserver
MySQL Version 5.7

now I followed the Installation guide under the section "The thorough way (for big version jumps)":
manual.limesurvey.org/Upgrading_from_a_p...r_version_changes.29
Regarding Permissions I used chmod -R 777 limesurvey so every file has all permissions:

Now at the point when I open: http://<yourdomain>/<yourlimesurveydir>/admin
the following error is displayed:
" Fatal error: Default value for parameters with a class type hint can only be NULL in /srv/www/htdocs/limesurvey/application/models/LSActiveRecord.php on line 437"

any tips how to fix this? Thanks!
Letzte Änderung: 2 Monate 5 Tage her von limesurvey_asker.

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

LimeSurvey Partners
Mehr
2 Monate 5 Tage her #193274 von Joffm
Hi,

my Sever has: PHP 5.5.14
SLES 12 SP3
Apache Webserver
MySQL Version 5.7

I read in the installation requirements of version 4.1.0.

This release does have the following requirements:

*MySQL 5.5.3 or later OR Microsoft SQL Server 2005 or later OR Postgres 8.1 or later
*PHP 7.0.0 or later with the following modules/libraries enabled:
...

while it is for version 3.x.
*PHP 5.5.9 or later with the following modules/libraries enabled:

Did you consider that?

Joffm


Volunteers are not paid.
Not because they are worthless, but because they are priceless
Folgende Benutzer bedankten sich: DenisChenu, limesurvey_asker

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Mehr
2 Monate 4 Tage her - 2 Monate 4 Tage her #193302 von limesurvey_asker
ok thanks! I did'nt know that.
I was only checking this: manual.limesurvey.org/Installation_-_LimeSurvey_CE

Ok, I see the installation requirements are here www.limesurvey.org/stable-release
when you click on details. did not know that.
Letzte Änderung: 2 Monate 4 Tage her von limesurvey_asker.

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Jetzt loslegen!

Melden Sie sich jetzt an, und erstellen Sie in wenigen Minuten Ihre erste Umfrage.

Account einrichten

Abonnieren Sie unseren Newsletter

Abonnieren Sie unseren Newsletter für alle Neuigkeiten rund um LimeSurvey
captcha